cURL
curl --request GET \
--url https://api.teamcamp.app/v1.0/project/{projectId} \
--header 'apiKey: <api-key>'import requests
url = "https://api.teamcamp.app/v1.0/project/{projectId}"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://api.teamcamp.app/v1.0/project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "<string>",
"projectName": "<string>",
"workspaceId": "<string>",
"ownerId": "<string>",
"description": "<string>",
"customerId": "<string>",
"startDate": "<string>",
"dueDate": "<string>",
"favoriteUsers": [
"<string>"
],
"projectUsers": [
"<string>"
]
}{
"error": "<string>"
}Project
Get Project
Get project details by ID.
GET
/
project
/
{projectId}
cURL
Authorizations
Path Parameters
The unique identifier of the project to get project details.
Minimum string length:
10Response
Project response
The ID of the project.
The Name of the project.
The ID of the workspace.
The ID of the owner.
Description of the project.
The ID of the customer.
The start date of the project.
The due date of the project.
List of users who marked the project as favorite.
List of users associated with the project.
⌘I

